API reference

Download spec
delete

Delete notification rule

Permanently deletes a routing rule and its channel assignments.

Required API key scope
notifications:delete
/api/v1/team/notifications/rules/{ruleId}

Code samples

curl --request DELETE \
  --url https://api.emailguard.co/api/v1/team/notifications/rules/YOUR_ID \
  --header 'Authorization: Bearer YOUR_API_KEY'

Parameters

Path parameters

NameTypeDescription
ruleIdrequiredstring

UUID of the notification rule to delete

Responses

200
OK
OK
codestringrequired

Machine-readable status code (for example OK or INVALID_BODY).

messagestring

Human-readable detail when the code is not OK.

401
Unauthorized
Unauthorized
codestringrequired

Machine-readable status code (for example OK or INVALID_BODY).

messagestring

Human-readable detail when the code is not OK.

403
Forbidden
Forbidden
codestringrequired

Machine-readable status code (for example OK or INVALID_BODY).

messagestring

Human-readable detail when the code is not OK.